Loading...
Searching...
No Matches
dolfin::Equation Class Reference

`#include <Equation.h>`

## Public Member Functions

| Equation (std::shared_ptr< const Form > a, std::shared_ptr< const Form > L)
| Equation (std::shared_ptr< const Form > F, int rhs)
| ~Equation ()
| Destructor.
bool | is_linear () const
std::shared_ptr< const Form > | lhs () const
std::shared_ptr< const Form > | rhs () const
int | rhs_int () const

## Detailed Description

This class represents a variational equation lhs == rhs. The equation can be either linear or nonlinear:

1. Linear (a == L), in which case a must be a bilinear form and L must be a linear form.
2. Nonlinear (F == 0), in which case F must be a linear form.

## Constructor & Destructor Documentation

## Equation() [1/2]

Equation::Equation | ( | std::shared_ptr< const Form > | a,
|  | std::shared_ptr< const Form > | L )

Create equation a == L

Parameters

  [in] | a | (Form) Form representing the LHS
  [in] | L | (Form) Form representing the RHS

## Equation() [2/2]

Equation::Equation | ( | std::shared_ptr< const Form > | F,
|  | int | rhs )

Create equation F == 0

Parameters

  [in] | F | (Form)
  [in] | rhs | (int)

## Member Function Documentation

## is_linear()

bool Equation::is_linear | ( |  | ) | const

Check whether equation is linear

Returns
  bool

## lhs()

std::shared_ptr< const Form > Equation::lhs | ( |  | ) | const

Return form for left-hand side

Returns
  Form LHS form

## rhs()

std::shared_ptr< const Form > Equation::rhs | ( |  | ) | const

Return form for right-hand side

Returns
  Form RHS form

## rhs_int()

int Equation::rhs_int | ( |  | ) | const

Return value for right-hand side

Returns
  int

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/Equation.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/Equation.cpp